aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rwxr-xr-xbuild_tools/make_deb.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/build_tools/make_deb.sh b/build_tools/make_deb.sh
index 227e4886..af4acc63 100755
--- a/build_tools/make_deb.sh
+++ b/build_tools/make_deb.sh
@@ -1,9 +1,13 @@
#!/bin/sh
-rm -f /tmp/fish_fish_deb
+# Terminate on error
+set -e
+
+rm -Rf /tmp/fish_fish_deb
mkdir /tmp/fish_fish_deb
git archive --format=tar fish_fish | tar -x -C /tmp/fish_fish_deb
cd /tmp/fish_fish_deb
+autoconf
./configure
make
sudo checkinstall make install